%%%  Tracciamento componenti --> requisiti  %%%

\begin{longtable}{|c|X|}
\hline
\textbf{Componenti} & \textbf{Requisiti} \\
\hline
\hline
GameLoop & FObb-01 \\
	 & FObb-43 \\
	 & FOpz-04 \\
	 & FOpz-07 \\
\hline
GameMatrix & FObb-43 \\
	   & FOpz-04 \\
\hline
SynchSharedCondition & FObb-43 \\
\hline
AbstractSettings & IOpz-02 \\
\hline
SettingsManager & IOpz-02 \\
\hline
GUISettings & IObb-06 \\
	    & IOpz-02 \\
\hline
ServerSettings & FObb-21 \\
	       & FOpz-06 \\
\hline
LocalSettings & FObb-02 \\
	      & FObb-03 \\
\hline
Point & FObb-01 \\
      & FObb-20 \\
\hline
Move & FObb-01 \\
     & FObb-20 \\
\hline
Player & FObb-01 \\
       & FObb-20 \\
\hline
HumanPlayer & FObb-01 \\
	    & FObb-02 \\
\hline
RemotePlayer & FObb-20 \\
\hline
AIPlayer & FObb-02 \\
	 & FObb-42 \\
	 & FOpz-02 \\
\hline
\hline
AI & FObb-42 \\
\hline
ThreatSearchAI & FObb-42 \\
	       & FOpz-07 \\
	       & QObb-03 \\
\hline
Threat & FObb-42 \\
\hline
Threat::Node & FObb-42 \\
\hline
CCThreatSearchAI & FObb-42 \\
\hline
CCThreat & FObb-42 \\
\hline
CCThreat::ConnectedComponent & FObb-42 \\
\hline
Suggester & FOpz-05 \\
\hline
\hline
MainWindow & FObb-01 \\
	   & FObb-02 \\
	   & FObb-03 \\
	   & FObb-20 \\
	   & FObb-21 \\
	   & FObb-40 \\
	   & FObb-41 \\
	   & FObb-45 \\
	   & FOpz-03 \\
	   & FOpz-04 \\
	   & FOpz-06 \\
	   & FOpz-07 \\
	   & FOpz-08 \\
	   & FOpz-09 \\
	   & QObb-03 \\
	   & IObb-03 \\
	   & IObb-04 \\
	   & IObb-05 \\
	   & IOpz-04 \\
	   & IOpz-05 \\
\hline
PlayerInfo & FObb-45 \\
\hline
PlayersWidget & FOpz-02 \\
\hline
HistoryModel & FOpz-03 \\
	     & FOpz-04 \\
\hline
ChatWidget & FOpz-01 \\
	   & IOpz-03 \\
\hline
TimerWidget & IOpz-06 \\
\hline
\hline
RenderWidget & FObb-01 \\
	     & FObb-05 \\
	     & FObb-23 \\
	     & FOpz-03 \\
	     & FOpz-04 \\
	     & FOpz-05 \\
	     & IObb-02 \\
	     & IOpz-02 \\
\hline
CubeRenderArea & FObb-05 \\
	       & FObb-23 \\
	       & IObb-02 \\
\hline
CubeRenderArea::Orientation & IObb-02 \\
\hline
CubeRenderArea::Direction & IObb-02 \\
\hline
Scenegraph & IObb-02\\
\hline
\hline
Network & FOpz-01 \\
\hline
GameClient  & FObb-20 \\
\hline
GameServer & FObb-20 \\
	   & FObb-45 \\
	   & FOpz-10 \\
\hline
StreamSocket & FOpz-01 \\
	     & QObb-01 \\
\hline
ClientSocket & FObb-23 \\
	     & FObb-40 \\
\hline
ServerSocket & FObb-22 \\
\hline
\end{longtable}
